aboutsummaryrefslogtreecommitdiffstats
path: root/community/nedit/APKBUILD
diff options
context:
space:
mode:
authortmpfile <tmpfile@users.noreply.github.com>2017-05-14 14:33:15 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2017-06-09 14:53:29 +0000
commitf25cdd24e2a49eed16a55e4738846038c4c91a04 (patch)
treec7f0cbfbb472701d8d68963249674d919cd0d643 /community/nedit/APKBUILD
parent2b2db6a7cf4c918ae49a47e9289629c7a20d839c (diff)
downloadaports-f25cdd24e2a49eed16a55e4738846038c4c91a04.tar.gz
aports-f25cdd24e2a49eed16a55e4738846038c4c91a04.tar.bz2
aports-f25cdd24e2a49eed16a55e4738846038c4c91a04.tar.xz
community/nedit: upgrade to 5.7 and modernize
Diffstat (limited to 'community/nedit/APKBUILD')
-rw-r--r--community/nedit/APKBUILD48
1 files changed, 11 insertions, 37 deletions
diff --git a/community/nedit/APKBUILD b/community/nedit/APKBUILD
index 151ad1c864..e5bdf28afb 100644
--- a/community/nedit/APKBUILD
+++ b/community/nedit/APKBUILD
@@ -1,64 +1,38 @@
# Contributor: Isaac Dunham <ibid.ag@gmail.com>
# Maintainer:
pkgname=nedit
-pkgver=5.6
-cvsver=cvs20081118
+pkgver=5.7
pkgrel=0
pkgdesc="The Nirvana Editor, a multi-purpose X11 editor that's easy to use"
-url="http://www.nedit.org"
+url="https://sourceforge.net/projects/nedit/"
arch="all"
license="GPL2+"
-depends=""
-depends_dev=""
# perl for docs, bison and flex are used but may be optional
makedepends="$depends_dev motif-dev bison flex perl"
-install=""
subpackages="$pkgname-doc"
-#source="http://downloads.sourceforge.net/nedit/nedit-source/$pkgver/nedit-$pkgver-src.tar.gz"
-source="http://ftp.de.debian.org/debian/pool/main/n/nedit/nedit_$pkgver~$cvsver.orig.tar.gz
-http://ftp.de.debian.org/debian/pool/main/n/nedit/nedit_$pkgver~$cvsver-9.debian.tar.xz"
-
-_builddir="$srcdir/$pkgname-$pkgver.orig"
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
- cat "$srcdir"/debian/patches/series | { while read i ; do
- msg $i
- patch -p1 -i "$srcdir"/debian/patches/$i || return 1
- done; }
- sed -e "s/CFLAGS=-O/CFLAGS=$CFLAGS -DBUILD_UNTESTED_NEDIT/g" -i makefiles/Makefile.linux
-}
+source="https://downloads.sourceforge.net/project/$pkgname/$pkgname-source/$pkgname-$pkgver-src.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$_builddir"
- make linux || exit 1
- make docs ||make -j1 docs || { env; exit 1; }
+ cd "$builddir"
+ make linux
+ make docs || make -j1 docs || { env; exit 1; }
}
package() {
- cd "$_builddir"
+ cd "$builddir"
install -s -Dm 0755 source/nedit "$pkgdir"/usr/bin/nedit
install -s -Dm 0755 source/nc "$pkgdir"/usr/bin/nedit-nc
}
doc() {
- cd "$_builddir"
+ cd "$builddir"
default_doc
for i in README COPYRIGHT ReleaseNotes \
doc/nedit.doc doc/nedit.html doc/faq.txt; do
- install -Dm 0644 $i "$subpkgdir"/usr/share/doc/nedit || exit 1
+ install -Dm 0644 $i "$subpkgdir"/usr/share/doc/nedit
done
}
-md5sums="4d0ba8f4142d3f35ffec874470cf26dd nedit_5.6~cvs20081118.orig.tar.gz
-902fb6059205964f333ce821726dbdac nedit_5.6~cvs20081118-9.debian.tar.xz"
-sha256sums="cb90052aef7d5839b31e3b2c3374f156e4d1edb273cfbd037c4f9ab5de83cf6f nedit_5.6~cvs20081118.orig.tar.gz
-0f2305f731b1ca1538753ed2e36a2c04d3977e3cc2b69635667f56e087792db4 nedit_5.6~cvs20081118-9.debian.tar.xz"
-sha512sums="f531364bfb24e06f8eb45d44a119be44fdeb0f64c1a25f74af07676c8b274fdd56076086a85c00761ba74b7acd7d54e0443233d1def2f89a2bcaf46a9b1ed598 nedit_5.6~cvs20081118.orig.tar.gz
-a3962162ef8bdd79e8bf94f15bb7f7037d8354b263888cf3961f35ac4be7219f94e11ad86472156b222d00bc547793c6267a4f609acf52dc6146d3b1a4d5755f nedit_5.6~cvs20081118-9.debian.tar.xz"
+sha512sums="cf242d2f8eea4c78649dbeb741f545a3dc8ffaf5bb36239794a4b2635420e5445fa1c77472add79c05ec081d71a0b9df4431f48db365a71692e43869fd4e7932 nedit-5.7-src.tar.gz"